//
//  time.cpp
//  Lecture3CPP
//
//  Created by presentations on 11/1/17.
//
//

#include <iostream>
#include "time.h"

//Time constructor:Ensures objects start in a consistent state.

Time::Time(int h, int m, int s)
{
    hour = h;
    minute = m;
    second = s;
}

void Time::setTime( int h, int m, int s ) //use military format
{
    hour   = ( h >= 0  && h < 24 ) ? h : 0;
    minute = ( m >= 0 && m < 60) ? m : 0;
    second = ( s >= 0  &&  s < 60 ) ? s : 0;
} // end setTime

void Time::printMilitary() // print Time in military format
{
    cout << ( hour < 10 ? "0" : "" ) 	<< hour << ":"
    << (minute < 10 ? "0" : "" ) << minute;
} // end printMilitary

void Time::printStandard() // Print Time in standard format
{
    cout << ( ( hour == 0 || hour == 12 ) ? 12 : hour % 12 )
    << ":" << ( minute < 10 ? "0" : "" ) << minute
    << ":" << ( second < 10 ? "0" : "" ) << second
    << ( hour < 12 ? " AM" : " PM" );
} // end printStandard
// end class Time (implementation)
