//
//  test7.cpp
//  Lecture3CPP
//
//  Created by presentations on 11/3/17.
//
//

#include <iostream>
using namespace std;

class Increment {
    public:
        Increment( int c = 0, int i = 1 );
        void addIncrement() { count += increment; }
        void print() const;
    private:
        int count;
        const int increment;      // const data member – not necessary to initialize
}; // end class Increment


Increment::Increment( int c, int i ) : increment( i )   // initializer for const member
{
    count = c;
}                                          // increment = i;   is a syntax error

void Increment::print() const
{
    cout << "count = " << count << ", increment = " << increment << endl;
} // end function print

int main()
{
    Increment value( 10, 5 );
    cout << "Before incrementing: ";
    value.print();
    for ( int j = 0; j < 3; j++ ) {
        value.addIncrement();
        cout << "After increment " << j + 1 << ": ";
        value.print();
    } // end for
    return 0;
} // end function main
